Subject: Re: bug#49968: Fwd: issue website creates invalid comment expectations

From: Maxime Devos <[email-masked]>
Date: Wed, 18 Aug 2021 00:07:35 +0200

John Kehayias via Bug reports for GNU Guix schreef op di 10-08-2021 om 17:46 [+0000]:
> Hi Maxime,
> 
> I took a quick look, but I'm not seeing how the proposed fix works: there is already
> that line for defining mu-debug in the only file that uses mu-message-send...?
> (Perhaps this should be sent to that original issue, I can send it again there if that
> is helpful.)

‘the current module’ is whatever (current-module) evaluates to.
It is not necessarily the module wherein 'mu-message-send' is used.
IIUC, every time a (define-module ([...])) form is encountered,
(current-module) is set to [...], or something like that (details
might be a little different).  It works for stand-alone scripts and
in the REPL I guess, but otherwise it's a very cumbersome interface.

This interface should be changed (in mailutils) IMO.

> 
> If there is not a relatively quick fix, I would vote for disabling the comment
> submission until it can be fixed. Otherwise, we're losing comments with no indication
> to the submitter.

nckx has done that recently.  Pages on <https://issues.guix.gnu.org/NNN>
now end with ‘Commenting via the web interface is currently disabled.’.

Greetings,
Ma